## cinder 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
anyjson>=0.3.3
Babel>=1.3
enum34;python_version=='2.7' or python_version=='2.6'
eventlet>=0.17.4
greenlet>=0.3.2
iso8601>=0.1.9
keystonemiddleware>=2.0.0
kombu>=3.0.7
lxml>=2.3
netaddr!=0.7.16,>=0.7.12
oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.1.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.versionedobjects>=0.9.0
osprofiler>=0.3.0 # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
pycrypto>=2.6
pyparsing>=2.0.1
python-barbicanclient>=3.3.0
python-glanceclient>=0.18.0
python-novaclient>=2.28.1
python-swiftclient>=2.2.0
requests>=2.5.2
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
taskflow>=1.16.0
rtslib-fb>=2.1.41
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.9
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
suds-jurko>=0.6
WebOb>=1.2.3
oslo.i18n>=1.5.0 # Apache-2.0
oslo.vmware>=1.16.0 # Apache-2.0
os-brick>=0.4.0 # Apache-2.0
