=== debian/changelog ===
cinder (2:7.0.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2015 14:54:34 +0100

cinder (2:7.0.0-4) unstable; urgency=medium

  * Added q-text-as-data as depends for cinder-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:32:01 +0000

cinder (2:7.0.0-3) unstable; urgency=medium

  * Using Keystone API v3 to register in the catalog.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 18:19:42 +0000

cinder (2:7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 13:44:00 +0000

cinder (2:7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Setup both v1 and v2 endpoints.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 15:49:18 +0200

cinder (2:7.0.0~rc2-1) experimental; urgency=medium

  * cinder-api depends on python-openstackclient.
  * cinder-api also registering the volumev2 type.
  * Fixed cinder.conf generation:
    - Fixed the default path for lock_path.
    - Added upstream patch for fixing config file generation.
    - Manually set enabled_backends = lvm, and appends a [lvm] section to set
      the LVM backend as default.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2015 13:23:42 +0000

cinder (2:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refresh patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2015 10:01:08 +0200

cinder (2:7.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Align with MOS packaging:
    - Bumped EPOCH to 2 instead of 1.
    - Some Ubuntu version lower bounds for dependencies.
    - Added a cinder-doc package.
  * Fixed (build-)depends for this release.
  * Refreshed disable-zfs-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Sep 2015 13:56:21 +0200

cinder (1:7.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Fixed OSLO_PACKAGE_VERSION for last PBR version.
  * Disable zfs tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Jul 2015 09:41:59 +0200

cinder (2015.1.0+2015.06.16.git26.9634b76ba5-3) unstable; urgency=medium

  * Rebuilt for sqlalchemy 1.0.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:21:46 +0000

cinder (2015.1.0+2015.06.16.git26.9634b76ba5-2) unstable; urgency=medium

  * Fixed changelog regarding CVE number: CVE-2015-1851 and not
    CVE-2015-1850 (Closes: #789349).

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Jun 2015 14:21:31 +0000

cinder (2015.1.0+2015.06.16.git26.9634b76ba5-1) unstable; urgency=high

  * New upstream release (based on commit 26th g9634b76):
    - Addresses CVE-2015-1851 / OSSA 2015-011 (Closes: #788996).

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2015 22:36:48 +0200

cinder (2015.1.0+2015.06.06.git24.493b6c7f12-1) unstable; urgency=medium

  * New upstream release (basing on commit 24th 2015.06.06 493b6c7f12).
  * Fixed debian/watch file to read from correct cinder project and not Nova.
  * Fixed config file generation taking patches from upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2015 23:07:24 +0200

cinder (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:33:43 +0000

cinder (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated (build-)depends for this release.
  * Now generates cinder.conf on the fly.
  * Added Fix_borked_StorPool_driver.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2015 23:48:10 +0200

cinder (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Now depends on openstack-pkg-tools (>= 20~) to avoid systemd issues with
    previous versions.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Dec 2014 08:59:02 +0000

cinder (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 15:23:17 +0000

cinder (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Switching to templated init scripts using openstack-pkg-tools >= 13.
  * Mangling upstream rc and beta versions in watch file.
  * Now using a single cinder-common.logrotate file instead of so many.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:23:48 +0800

cinder (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Added more lintian-override for false positive about unused debconf
    templates.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2014 15:43:51 +0800

cinder (2014.2~b3-2) experimental; urgency=medium

  * Fixed the DB connection directive name and section.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 18:50:02 +0800

cinder (2014.2~b3-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * New (build-)depends for this release.
  * Removes usr/bin/cinder-rpc-zmq-receiver fron cinder-common.install,
    as its gone upstream (moved into Oslo, it seems).

  [ gustavo panizzo ]
  * Support to run cinder daemons under systemd.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Sep 2014 10:15:10 +0000

cinder (2014.1.1-2) unstable; urgency=medium

  * cinder-volume now depends on tgt >= 1:1.0.17-1.1~ (Closes: 751703).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Jun 2014 15:37:47 +0800

cinder (2014.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed fallback-to-None-on-missing-Glance-image-attrs.patch applied
    upstream.
  * Bumped python-six minimal requirements to 1.6.0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jun 2014 22:08:57 +0800

cinder (2014.1-7) unstable; urgency=medium

  * Now build-depends on openstack-pkg-tools >= 0.12~.


