## cinder 7.0.2

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 eventlet>=0.17.4
 greenlet>=0.3.2
 iso8601>=0.1.9
-keystonemiddleware>=2.0.0
+keystonemiddleware!=2.4.0,>=2.0.0
 kombu>=3.0.7
 lxml>=2.3
 netaddr!=0.7.16,>=0.7.12
@@ -18,14 +18,14 @@
 oslo.context>=0.2.0 # Apache-2.0
 oslo.db>=2.4.1 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
-oslo.middleware>=2.8.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
+oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0
 oslo.reports>=0.1.0 # Apache-2.0
 oslo.rootwrap>=2.0.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 oslo.versionedobjects>=0.9.0
 osprofiler>=0.3.0 # Apache-2.0
 paramiko>=1.13.0
@@ -35,9 +35,11 @@
 pyparsing>=2.0.1
 python-barbicanclient>=3.3.0
 python-glanceclient>=0.18.0
-python-novaclient>=2.28.1
+python-novaclient!=2.33.0,>=2.28.1
+python-keystoneclient!=1.8.0,>=1.6.0
 python-swiftclient>=2.2.0
-requests>=2.5.2
+pytz>=2013.6
+requests!=2.8.0,!=2.9.0,>=2.5.2
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
 Routes!=2.0,>=1.12.3;python_version!='2.7'
