=== debian/changelog ===
cinder (2:7.0.2-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).
    - d/control: Add python-tz to (Build-)Depends.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 20 Apr 2016 09:43:39 -0400

cinder (2:7.0.1-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1530913):
    - d/p/lp1516085.patch: Dropped, included upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2016 11:57:52 +0000

cinder (2:7.0.0-0ubuntu1.15.10.1) wily; urgency=medium

  * Ensure configured keystone endpoints are using in the Cinder quota
    module (LP: #1516085):
    - d/p/lp1516085.patch: Cherry pick fix from stable/liberty branch in
      advance of the next point release.

 -- James Page <james.page@ubuntu.com>  Tue, 15 Dec 2015 12:07:17 +0000

cinder (2:7.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:36:21 -0400

cinder (2:7.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 10:18:59 -0400

cinder (2:7.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:16:42 -0400

cinder (2:7.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 11:31:25 +0100

cinder (2:7.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-failing-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:49:21 -0400

cinder (2:7.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-requirements.patch: Dropped. dh_python2 no longer guesses
    dependencies.
  * d/p/skip-failing-tests.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Aug 2015 15:24:17 -0400

cinder (2:7.0.0~b1-0ubuntu3) wily; urgency=medium

  * d/pydist-overrides: Ignore dependency on suds-jurko (provided by
    suds in distro).

 -- James Page <james.page@ubuntu.com>  Wed, 05 Aug 2015 10:48:34 +0200

cinder (2:7.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/p/skip-failing-tests.patch: Skip single failing test in Ubuntu
    buildd environment due to limit egress network access, resolving
    FTBFS. 

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:39:28 +0100

cinder (2:7.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Jul 2015 09:28:33 +0100

cinder (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream release for OpenStack Kilo. (LP: #1449744)

  [ James Page ]
  * d/p/*: Refresh.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 May 2015 13:40:57 -0400

cinder (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream milestone release:
    - d/control: Align with upstream dependencies.

  [ James Page ]
  * d/p/*: Refreshed. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:53:09 -0400

cinder (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  [ James Page ]
  * d/pydist-overrides: Add overrides for oslo packages.

  [ Corey Bryant ]
  * New upstream milestone release for OpenStack Kilo:
    - d/control: Align with upstream dependencies.
    - d/p/skip-huaweistorac-delete-snapshot-success-test.patch: Dropped.
      Patched test has been removed.

  [ James Page ]
  * d/control: Add missing BD on python-testresources.
  * d/p/fix-long-casting.patch: Workaround some problematic type casting between
    int/long (LP: #1435242).
  * d/p/fix-assert-raises-regex-tests.patch: Patchup incorrect usage of
    assertUsesRegex{p} in unit tests.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:07:20 +0100

cinder (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-assert-raises-regex-tests.patch: Dropped. Fixed upstream.
    - d/p/remove-private-_lazy-import.patch: Dropped. Fixed upstream.
    - d/p/pep-0476.patch: Dropped. Fixed upstream.
    - d/p/skip-rtslib-test.patch: Rebased.
    - d/p/fix-requirements.patch: Rebased.
    - d/p/skip-huaweistorac-delete-snapshot-success-test.patch: Rebased.

  [ James Page ]
  * d/control: Transition to new non-namespaced oslo packages.
  * d/p/skip-rtslib-test.patch: Rewrite to be a little more elegant. 

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Feb 2015 10:39:55 +0000

cinder (1:2015.1~b1-0ubuntu5) vivid; urgency=medium

  * d/p/remove-private-_lazy-import.patch: Cherry picked from master and
    adapted. Fixes tests that were importing internal i18n._lazy module.
  * d/p/pep-0476.patch: Deal with PEP-0476 certificate chain checking.
  * d/p/skip-ssl-tests.patch: Dropped in favor of pep-0476.patch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Jan 2015 08:06:53 +0000

cinder (1:2015.1~b1-0ubuntu4) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 10:40:32 -0500

cinder (1:2015.1~b1-0ubuntu3) vivid; urgency=medium

  * d/p/fix-iscsi-initiator-exception.patch: Dropped. Abandoned upstream.
  * d/p/skip-huaweistorac-delete-snapshot-success-test.patch: Handle OSError

