## cinder 7.0.3

=== requirements.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 pbr>=1.6
 anyjson>=0.3.3
-Babel>=1.3
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 enum34;python_version=='2.7' or python_version=='2.6'
 eventlet>=0.17.4
 greenlet>=0.3.2
 iso8601>=0.1.9
 keystonemiddleware!=2.4.0,>=2.0.0
-kombu>=3.0.7
+kombu!=4.0.0,>=3.0.7 # BSD
 lxml>=2.3
 netaddr!=0.7.16,>=0.7.12
 oslo.config>=2.3.0 # Apache-2.0
@@ -36,13 +36,13 @@
 python-barbicanclient>=3.3.0
 python-glanceclient>=0.18.0
 python-novaclient!=2.33.0,>=2.28.1
-python-keystoneclient!=1.8.0,>=1.6.0
+python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
 python-swiftclient>=2.2.0
 pytz>=2013.6
 requests!=2.8.0,!=2.9.0,>=2.5.2
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
-Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
-Routes!=2.0,>=1.12.3;python_version!='2.7'
+Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
+Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 taskflow>=1.16.0
 rtslib-fb>=2.1.41
 six>=1.9.0
@@ -53,4 +53,4 @@
 WebOb>=1.2.3
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.vmware>=1.16.0 # Apache-2.0
-os-brick>=0.4.0 # Apache-2.0
+os-brick!=1.4.0,>=0.4.0 # Apache-2.0
